Bug 100799 - Cannot create a language instance
Summary: Cannot create a language instance
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Enterprise CMS
Classification: Retired
Component: other   
(Show other bugs)
Version: nightly
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Archit Shah
QA Contact: Jon Orris
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 98546
TreeView+ depends on / blocked
 
Reported: 2003-07-25 16:24 UTC by Daniel Berrange
Modified: 2007-04-18 16:56 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-28 21:08:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Daniel Berrange 2003-07-25 16:24:10 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.9 (X11; Linux i686; U;) Gecko/20030314

Description of problem:
When attempting to add a language instance I get an assertion failure

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Create an Agenda item in english
2. Go to the languages tab
3. Add a german instance
    

Actual Results:  Assertion failure gives error 500

Expected Results:  A german instance is added

Additional info:

Comment 1 Richard Li 2003-07-25 16:31:59 UTC
com.arsdigita.util.AssertionError: The bundle already contains an instance
for the language de
	at com.arsdigita.util.Assert.falsity(Assert.java:127)
	at com.arsdigita.cms.ContentBundle.addInstance(ContentBundle.java:178)
	at
com.arsdigita.cms.ui.item.ItemLanguages$ProcessListener.process(ItemLanguages.java:163)
	at com.arsdigita.bebop.FormSection.fireProcess(FormSection.java:491)
	at com.arsdigita.bebop.FormSection$4.process(FormSection.java:465)
	at com.arsdigita.bebop.FormModel.fireFormProcess(FormModel.java:478)
	at com.arsdigita.bebop.FormModel.process(FormModel.java:345)
	at com.arsdigita.bebop.Form.process(Form.java:440)
	at com.arsdigita.bebop.Form.respond(Form.java:281)
	at com.arsdigita.bebop.PageState.respond(PageState.java:348)
	at com.arsdigita.bebop.Page.process(Page.java:695)
	at com.arsdigita.bebop.Page.process(Page.java:677)
	at com.arsdigita.bebop.Page.buildDocument(Page.java:731)
	at com.arsdigita.cms.dispatcher.CMSPage$1.excurse(CMSPage.java:271)
	at com.arsdigita.cms.CMSExcursion.run(CMSExcursion.java:71)

Comment 2 Richard Li 2003-07-28 21:08:40 UTC
verified


Note You need to log in before you can comment on or make changes to this bug.